This is a Laravel 5 package that provides v_l_a_n management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `codi22/v_l_a_n`.

    "codi22/v_l_a_n": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Codi22\VLAN\Providers\VLANServiceProvider::class,

```

And also add it to alias

```php
'VLAN'  => Codi22\VLAN\Facades\VLAN::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Codi22\VLAN\Providers\VLANServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Codi22\VLAN\Providers\VLANServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Codi22\VLAN\Providers\VLANServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Codi22\VLAN\Providers\VLANServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Codi22\VLAN\Providers\VLANServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Codi22\VLAN\Providers\VLANServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


