<?php

namespace Codi22\VLAN\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VLANSItemTransformer extends TransformerAbstract
{
    public function transform(\Codi22\VLAN\Models\VLANS $v_l_a_n_s)
    {
        return [
            'id'                => $v_l_a_n_s->getRouteKey(),
            'vlanid'            => $v_l_a_n_s->vlanid,
            'nom'               => $v_l_a_n_s->nom,
            'descripcio'        => $v_l_a_n_s->descripcio,
            'status'            => trans('app.'.$v_l_a_n_s->status),
            'created_at'        => format_date($v_l_a_n_s->created_at),
            'updated_at'        => format_date($v_l_a_n_s->updated_at),
        ];
    }
}